/**************************************************************

	Script	: Image Cross Fade
	Version	: 1.0
	Authors	: K.Hashimoto
	Desc	: 
	Licence	: Open Source MIT Licence

**************************************************************/

var m_objImage = new Image();
var m_numImgWidth = 0;
var m_strNameToFade = '';
var m_strNameToImg = '';
var m_numFade = 0;
var m_numFadePhase = 0;
var m_numFadeStep1 = 0;
var m_numFadeStep2 = 0;
var m_IsProcessing;
var m_numInterval = 0;

function ImgCrossFadeSet(anumImgWidth, astrNameToFade, astrNameToImg, astrFilePath, anumFadeStep1, anumFadeStep2, anumInterval) {
	if (m_IsProcessing != true) {
		document.getElementById(astrNameToFade.replace("nme", "id")).style.cursor = 'wait';

		ImgCrossFadeInit();
		m_numImgWidth = anumImgWidth;
		m_strNameToFade = astrNameToFade;
		m_strNameToImg = astrNameToImg;
		if (anumFadeStep1 == undefined) {
			m_numFadeStep1 = 6;
		} else {
			m_numFadeStep1 = anumFadeStep1;
		}
		if (anumFadeStep2 == undefined) {
			m_numFadeStep2 = 4;
		} else {
			m_numFadeStep2 = anumFadeStep2;
		}
		if (anumInterval == undefined) {
			m_numInterval = 100;
		} else {
			m_numInterval = anumInterval;
		}
		m_objImage.src = astrFilePath;
		ImgCrossFadeStart();
	}

	return;
}

function ImgCrossFadeInit() {
	m_IsProcessing = true;

	if (m_strNameToFade.length > 0) {
		if (document.images[m_strNameToFade].filters) {
			document.images[m_strNameToFade].filters.alpha.opacity = 0;
			document.images[m_strNameToFade].width = 0;
		} else {
			document.images[m_strNameToFade].style.MozOpacity = document.images[m_strNameToFade].style.opacity = 0;
			document.images[m_strNameToFade].style.width = 0;
		}
	}

	return;
}

function ImgCrossFadeStart() {
	if (document.images[m_strNameToFade].filters) {
		document.images[m_strNameToFade].filters.alpha.opacity = 100;
		document.images[m_strNameToFade].width = m_numImgWidth;
	} else {
		document.images[m_strNameToFade].style.MozOpacity = document.images[m_strNameToFade].style.opacity = 1;
		document.images[m_strNameToFade].style.width = m_numImgWidth;
	}
	document.images[m_strNameToImg].src = m_objImage.src;
	m_numFadePhase = 0;
	if (m_numFade > 0) {
		m_numFade = 100;
	} else {
		m_numFade = 100;
		setTimeout("ImgCrossFade()", m_numInterval);
	}

	return;
}

function ImgCrossFade() {
	if (m_numFadePhase == 0) {
		m_numFade -= m_numFadeStep1;
		if (m_numFade <= (m_numFadeStep1 * m_numFadeStep2)) {
			m_numFadePhase++;
		}
	} else {
		m_numFade -= m_numFadeStep2;
	}

	if (m_numFade > 0) {
		if (document.images[m_strNameToFade].filters) {
			document.images[m_strNameToFade].filters.alpha.opacity = m_numFade;
		} else {
			document.images[m_strNameToFade].style.MozOpacity = document.images[m_strNameToFade].style.opacity = m_numFade/100;
		}
		setTimeout("ImgCrossFade()", m_numInterval);
	} else {
		if (document.images[m_strNameToFade].filters) {
			document.images[m_strNameToFade].filters.alpha.opacity = 0;
		} else {
			document.images[m_strNameToFade].style.MozOpacity = document.images[m_strNameToFade].style.opacity = 0;
		}
		document.getElementById(m_strNameToFade.replace("nme", "id")).style.cursor = 'hand';
		m_IsProcessing = false;
	}

	return;
}

